      program Four_byte_binary2ascii

      real*4 x(13)
      character fname*11

      open(10,file="NAME")
      read(10,100) fname
 100  format(a)
      close(10)

      open(1,file=fname//".dat",status="old",
     & access="direct",form="unformatted",recl=52)
      open(2,file=fname//".asc")

      j=1
 1    read(1,rec=j,err=2) (x(i),i=1,13)

      write(2,110) real(j-1)*.1,(x(i),i=1,13)
 110  format(f6.1,13f9.4)
      j=j+1
      go to 1
 2    continue

      close(1)
      close(2)
      end
